Name: ca_QuoVadis-Grid-ICA
Version: 1.71
Release: 1
Source: ca_QuoVadis-Grid-ICA-1.71.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_QuoVadis-Grid-ICA-1.71/e72045ce.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority QuoVadis-Grid-ICA

%if %([ -n "https://www.quovadisglobal.bm/" ] && echo 1 || echo 0)
URL: https://www.quovadisglobal.bm/
%endif

%if %([ -n "ca_QuoVadis-Root-CA1 = 1.71" ] && echo 1 || echo 0)
Requires: ca_QuoVadis-Root-CA1 = 1.71
%endif

%if %([ -n "ca_SWITCH-QuoVadis-Grid-ICA" ] && echo 1 || echo 0)
Obsoletes: ca_SWITCH-QuoVadis-Grid-ICA
%endif

%prep
%setup -n ca_QuoVadis-Grid-ICA-1.71

%description
This is the trust anchor for the classic accredited authority QuoVadis-Grid-ICA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

